unit Menu;

interface 

uses
	Types, // Common FreePaTris Types
	Crt; // Console functions

// Interface functions for GamestateManager
function DoMenu(mstimepassed: comp) : TGamestateId;

implementation

// Shows the menu and asks the user what to do next
//
// Parameters
//  mstimepassed: frametime in ms
function DoMenu(mstimepassed: comp) : TGamestateId;
var
        userdecision : byte;
begin
    // Making sure the screen is 'ours'
    clrscr();

    writeln('Welcome to FreePaTris!');
    writeln('What do you want to do?');
	writeln('1) Play');
	writeln('2) Menu again (whatever for)');
	writeln('3) Quit');
	writeln();
	writeln('Ingame controls:');
	writeln(' Left and Right - Moving block');
	writeln(' Up - Rotating the block');
	writeln(' F1 - Back to menu');
	writeln(' F2 - Quit');

	try
		// Try to cast the input to a GamestateId
		readln(userdecision);

        DoMenu := TGamestateId(userdecision - 1);
	except
		// If the user enters some sort of crap, show the menu again
		DoMenu := StateMenu;
	end;
end;

end.

